import App from './App'
import mixin from './common/mixin'
import store from './store'
import tools from './common/tools'
import request from './common/request'


import Vue from 'vue'

import popup from './components/mix-popup/mix-popup.vue';
import empty from './components/empty.vue';
import submitBtn from './components/submit-btn.vue';
import singleList from './components/single-list.vue';
import safeArea from './components/safe-area.vue';


Vue.component('safeArea', safeArea)
Vue.component('popup',popup)
Vue.component('empty',empty)
Vue.component('submitBtn',submitBtn)
Vue.component('singleList',singleList)

Vue.config.productionTip = false
App.mpType = 'app'

Vue.prototype.$store = store;
Vue.prototype.$tools = tools;
Vue.prototype.$request = request;

Vue.mixin(mixin);
const app = new Vue({
    ...App
})
app.$mount()
